# Updates an existing location Updates an existing location. Endpoint: PATCH /v1/locations/{id}/ Version: 1.0.0 Security: tokenAuth ## Path parameters: - `id` (string, required) ## Request fields (application/json): - `externalId` (string,null) - `name` (string) - `ordering` (number) - `planning` (string) - `metadata` (object) ## Response 200 fields (application/json): - `id` (string, required) - `versionId` (string, required) - `workspace` (string,null, required) - `externalId` (string,null) - `name` (string, required) - `ordering` (number) - `resources` (array, required) - `resources.adjacent` (array) - `resources.tagsDetails` (array, required) - `resources.tagsDetails.uuid` (string, required) - `resources.tagsDetails.category` (string, required) - `resources.tagsDetails.value` (string, required) - `resources.tagsDetails.required` (boolean) - `resources.tagsDetails.color` (string,null) - `resources.location` (string, required) - `resources.parent` (string,null) - `resources.metadata` (any) - `planning` (string, required) ## Response 400 fields (application/json): - `detail` (string, required) ## Response 404 fields (application/json): - `detail` (string, required) ## Response 500 fields (application/json): - `detail` (string, required) ## Response 401 fields ## Response 403 fields